Package uk.ac.starlink.topcat.plot2

## Class AreaCoordPanel

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.CoordPanel
  - - uk.ac.starlink.topcat.plot2.PositionCoordPanel
    - - uk.ac.starlink.topcat.plot2.AreaCoordPanel

-     public abstract class AreaCoordPanel
      extends PositionCoordPanel

  PositionCoordPanel for entering positional Area values. This implementation class mostly handles autopopulation (default values).
  Since:
    27 Mar 2020
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AreaCoordPanel​(uk.ac.starlink.ttools.plot2.data.AreaCoord<?> coord, uk.ac.starlink.ttools.plot2.data.Coord[] otherCoords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `autoPopulate()` | Makes some attempt to fill in the fields with non-blank values.

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.PositionCoordPanel

      `getDataGeom, multiplyCoords`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.CoordPanel

      `addActionListener, addButtons, getActionForwarder, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, getInfos, getTable, populate, removeActionListener, setColumnSelector, setTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AreaCoordPanel

          protected AreaCoordPanel​(uk.ac.starlink.ttools.plot2.data.AreaCoord<?> coord,
                                   uk.ac.starlink.ttools.plot2.data.Coord[] otherCoords,
                                   uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys)

      Constructor.
      Parameters:
        `coord` - coordinate for Area objects
        `otherCoords` - additional coordinates required by panel
        `configKeys` - config value keys (often empty)

  - ### Method Detail

    - #### autoPopulate

          public void autoPopulate()

      Description copied from class: `CoordPanel`
      Makes some attempt to fill in the fields with non-blank values. The default implementation fills in the first few suitable columns, but subclasses are encouraged to override this behaviour if something smarter is possible.
      Overrides:
        `autoPopulate` in class `CoordPanel`